import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-148a7577.js';
import { r as randomIdGenerator } from './randomIdGenerator.util-56406f2e.js';

const formRadiogroupCss = "";
const DigiFormRadiogroupStyle0 = formRadiogroupCss;

const FormRadiogroup = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.afOnGroupChange = createEvent(this, "afOnGroupChange", 7);
        this.radiobuttons = undefined;
        this.afValue = undefined;
        this.value = undefined;
        this.afName = randomIdGenerator('digi-form-radiogroup');
    }
    OnAfValueChange(value) {
        this.value = value;
    }
    OnValueChange(value) {
        this.afValue = value;
        this.setRadiobuttons(value);
    }
    radiobuttonChangeListener(e) {
        if (Array.from(this.radiobuttons).includes(e.target)) {
            e.preventDefault();
            this.afValue = e.detail.target.value;
            this.afOnGroupChange.emit(e);
        }
    }
    componentDidLoad() {
        this.setRadiobuttons(this.value || this.afValue);
        if (this.value)
            this.afValue = this.value;
    }
    setRadiobuttons(value) {
        this.radiobuttons = this.hostElement.querySelectorAll('digi-form-radiobutton');
        this.radiobuttons.forEach((r) => {
            r.afName = this.afName;
            if (value && r.afValue == value) {
                r.setAttribute('af-checked', 'true');
            }
        });
    }
    render() {
        return (h(Host, { key: 'f08c5f7fef0959450fdfac51eb5f65d942f4c857' }, h("div", { key: 'f5a83a8d456f8d8e98bf1614720813d66f5db924', class: {
                'digi-form-radiogroup': true
            } }, h("digi-util-mutation-observer", { key: 'd58acfea2c0554233188a6572a35f58312d24135', onAfOnChange: (e) => this.radiobuttonChangeListener(e) }, h("slot", { key: '6e6fc7086a86f8b5d0b57cd4ad4e8540b212da38' })))));
    }
    get hostElement() { return getElement(this); }
    static get watchers() { return {
        "afValue": ["OnAfValueChange"],
        "value": ["OnValueChange"]
    }; }
};
FormRadiogroup.style = DigiFormRadiogroupStyle0;

export { FormRadiogroup as digi_form_radiogroup };
